Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 646742 - dev-lisp/asdf-binary-locations: last consumer of common-lisp.eclass
Summary: dev-lisp/asdf-binary-locations: last consumer of common-lisp.eclass
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Common Lisp Bugs
URL:
Whiteboard: pending removal 2018-04-09
Keywords: PMASKED
Depends on: 621516 648448
Blocks: 328861 EAPI3Removal
  Show dependency tree
 
Reported: 2018-02-06 09:26 UTC by Pacho Ramos
Modified: 2018-04-08 13:33 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2018-02-06 09:26:44 UTC
This is the last consumer of this old eclass (as latest slim versions already use newer eclass).

Maybe this could be migrated finally (or even be treecleaned if not needed as latest gentoo-init ebuild doesn't require this anymore either)
Comment 1 Stelian Ionescu 2018-02-06 14:03:12 UTC
dev-lisp/asdf-binary-locations has been made obsolete by ASDF since version 3 and should be removed
Comment 2 Chema Alonso Josa (RETIRED) gentoo-dev 2018-02-10 15:53:57 UTC
Thanks for the report

Current stable version of slime (=app-emacs/slime/slime-2.0_p20101103 EAPI=3) still uses the obsolete common-lisp.eclass:

https://gitweb.gentoo.org/repo/gentoo.git/tree/app-emacs/slime/slime-2.0_p20101103.ebuild

Once slime is stable I guess we can get rid of the following packages/eclasses:

* dev-lisp/asdf-binary-locations
* common-lisp.eclass
* dev-lisp/common-lisp-controller
Comment 3 Andreas K. Hüttel gentoo-dev 2018-03-03 20:29:01 UTC
(In reply to Chema Alonso Josa from comment #2)
> Thanks for the report
> 
> Current stable version of slime (=app-emacs/slime/slime-2.0_p20101103
> EAPI=3) still uses the obsolete common-lisp.eclass:
> 
> https://gitweb.gentoo.org/repo/gentoo.git/tree/app-emacs/slime/slime-2.
> 0_p20101103.ebuild
> 
> Once slime is stable

.... that just happened.
Comment 4 Chema Alonso Josa (RETIRED) gentoo-dev 2018-03-03 23:19:28 UTC
Sorry, forgot to mention that dev-lisp/asdf-binary-locations depends on =gentoo-init-0.1 which is going to be removed when newer version gets stable.
Comment 5 Larry the Git Cow gentoo-dev 2018-03-09 14:53:21 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fef22299c8eca99651b1c511b36683c3e6e49059

commit fef22299c8eca99651b1c511b36683c3e6e49059
Author:     Chema Alonso Josa <nimiux@gentoo.org>
AuthorDate: 2018-03-09 14:51:18 +0000
Commit:     Chema Alonso Josa <nimiux@gentoo.org>
CommitDate: 2018-03-09 14:51:18 +0000

    profiles: Mask dev-lisp/common-lisp-controller and asdf-binary-location for removal in 30 days
    
    Bug: https://bugs.gentoo.org/646742

 profiles/package.mask | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)}
Comment 6 Larry the Git Cow gentoo-dev 2018-04-08 13:14:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d7fbc118555a57e7a2ca7c3cd1eb8bc2815b4fd

commit 3d7fbc118555a57e7a2ca7c3cd1eb8bc2815b4fd
Author:     Chema Alonso Josa <nimiux@gentoo.org>
AuthorDate: 2018-04-08 13:13:51 +0000
Commit:     Chema Alonso Josa <nimiux@gentoo.org>
CommitDate: 2018-04-08 13:13:51 +0000

    dev-lisp/asdf-binary-locations: Drop last rited package
    
    Bug: https://bugs.gentoo.org/646742

 dev-lisp/asdf-binary-locations/Manifest            |  1 -
 .../asdf-binary-locations-20061018.ebuild          | 26 ----------------------
 dev-lisp/asdf-binary-locations/metadata.xml        |  8 -------
 profiles/package.mask                              |  1 -
 4 files changed, 36 deletions(-)}
Comment 7 Larry the Git Cow gentoo-dev 2018-04-08 13:33:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3928a494c08756468dd48f2fe8984751a50ad1c1

commit 3928a494c08756468dd48f2fe8984751a50ad1c1
Author:     Chema Alonso Josa <nimiux@gentoo.org>
AuthorDate: 2018-04-08 13:31:28 +0000
Commit:     Chema Alonso Josa <nimiux@gentoo.org>
CommitDate: 2018-04-08 13:33:09 +0000

    dev-lisp/common-lisp-controller: Drop last rited package
    
    Closes: https://bugs.gentoo.org/646742

 dev-lisp/common-lisp-controller/Manifest           |  2 -
 .../common-lisp-controller-4.27.ebuild             | 92 ---------------------
 .../common-lisp-controller-5.13-r1.ebuild          | 96 ----------------------
 .../files/4.27/lisp-config.lisp                    |  3 -
 .../files/5.13/lisp-config.lisp                    |  3 -
 .../common-lisp-controller/files/README.Gentoo     | 27 ------
 dev-lisp/common-lisp-controller/metadata.xml       | 14 ----
 profiles/package.mask                              |  5 --
 8 files changed, 242 deletions(-)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=068ba30f8d01d40202f2ed998c659b290c239d0f

commit 068ba30f8d01d40202f2ed998c659b290c239d0f
Author:     Chema Alonso Josa <nimiux@gentoo.org>
AuthorDate: 2018-04-08 13:29:16 +0000
Commit:     Chema Alonso Josa <nimiux@gentoo.org>
CommitDate: 2018-04-08 13:33:05 +0000

    common-lisp-common.eclass: Drop uneeded eclass
    
    Bug: https://bugs.gentoo.org/646742

 eclass/common-lisp-common.eclass | 211 ---------------------------------------
 1 file changed, 211 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bf4a0dc980e342f4ebe0fd0b9ff6aa4c9a61fd1

commit 3bf4a0dc980e342f4ebe0fd0b9ff6aa4c9a61fd1
Author:     Chema Alonso Josa <nimiux@gentoo.org>
AuthorDate: 2018-04-08 13:28:09 +0000
Commit:     Chema Alonso Josa <nimiux@gentoo.org>
CommitDate: 2018-04-08 13:33:01 +0000

    common-lisp.eclass: Drop unneeded eclass
    
    Bug: https://bugs.gentoo.org/646742

 eclass/common-lisp.eclass | 81 -----------------------------------------------
 1 file changed, 81 deletions(-)}